Subject: bug#30038: closed (Re: bug#30038: 26.0.90; tramp-make-tramp-file-name fails tramp-tramp-file-p)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 09 Jan 2018 08:58:02 +0000

Your bug report

#30038: 26.0.90; tramp-make-tramp-file-name fails tramp-tramp-file-p

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30038: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=30038
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#30038: 26.0.90; tramp-make-tramp-file-name fails tramp-tramp-file-p
From: Michael Albinus <[email-masked]>
To: Leo Liu <[email-masked]>
Cc: [email-masked]
Date: Tue, 09 Jan 2018 09:57:32 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 27.1

Leo Liu <[email-masked]> writes:

Hi,

> The remote name constructed by (tramp-make-tramp-file-name nil user nil
> host nil localname) fails tramp-tramp-file-p predicate. bug?
>
> I am testing this on centos7 and emacs-26 built on 2018-1-4.

Since Emacs 26 (Tramp 2.3), a non-empty method name is mandatory. I've
added a test to `tramp-make-tramp-file-name', checking this. Committed
to master. Closing the bug.

Best regards, Michael.

Subject: 26.0.90; tramp-make-tramp-file-name fails tramp-tramp-file-p
From: Leo Liu <[email-masked]>
To: [email-masked]
Date: Tue, 09 Jan 2018 11:41:22 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

The remote name constructed by (tramp-make-tramp-file-name nil user nil
host nil localname) fails tramp-tramp-file-p predicate. bug?

I am testing this on centos7 and emacs-26 built on 2018-1-4.